ApiAuthRoleMetadata (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiAuthRoleMetadata

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAuthRoleMetadata

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiAuthRoleMetadata
      extends Object

  This is the model for auth role metadata

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAuthRoleMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAuthRoleMetadata` | `addAllowedScopesItem(String allowedScopesItem)`
    `ApiAuthRoleMetadata` | `addAuthoritiesItem(ApiAuthRoleAuthority authoritiesItem)`
    `ApiAuthRoleMetadata` | `allowedScopes(List<String> allowedScopes)`
    `ApiAuthRoleMetadata` | `authorities(List<ApiAuthRoleAuthority> authorities)`
    `ApiAuthRoleMetadata` | `displayName(String displayName)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getAllowedScopes()` Get allowedScopes
    `List<ApiAuthRoleAuthority>` | `getAuthorities()` Get authorities
    `String` | `getDisplayName()` Get displayName
    `String` | `getRole()` Get role
    `String` | `getUuid()` Get uuid
    `int` | `hashCode()`
    `ApiAuthRoleMetadata` | `role(String role)`
    `void` | `setAllowedScopes(List<String> allowedScopes)`
    `void` | `setAuthorities(List<ApiAuthRoleAuthority> authorities)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setRole(String role)`
    `void` | `setUuid(String uuid)`
    `String` | `toString()`
    `ApiAuthRoleMetadata` | `uuid(String uuid)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAuthRoleMetadata

          public ApiAuthRoleMetadata()

  - ### Method Detail

    - #### displayName

          public ApiAuthRoleMetadata displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      Get displayName
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### uuid

          public ApiAuthRoleMetadata uuid(String uuid)

    - #### getUuid

          public String getUuid()

      Get uuid
      Returns:
        uuid

    - #### setUuid

          public void setUuid(String uuid)

    - #### role

          public ApiAuthRoleMetadata role(String role)

    - #### getRole

          public String getRole()

      Get role
      Returns:
        role

    - #### setRole

          public void setRole(String role)

    - #### authorities

          public ApiAuthRoleMetadata authorities(List<ApiAuthRoleAuthority> authorities)

    - #### addAuthoritiesItem

          public ApiAuthRoleMetadata addAuthoritiesItem(ApiAuthRoleAuthority authoritiesItem)

    - #### getAuthorities

          public List<ApiAuthRoleAuthority> getAuthorities()

      Get authorities
      Returns:
        authorities

    - #### setAuthorities

          public void setAuthorities(List<ApiAuthRoleAuthority> authorities)

    - #### allowedScopes

          public ApiAuthRoleMetadata allowedScopes(List<String> allowedScopes)

    - #### addAllowedScopesItem

          public ApiAuthRoleMetadata addAllowedScopesItem(String allowedScopesItem)

    - #### getAllowedScopes

          public List<String> getAllowedScopes()

      Get allowedScopes
      Returns:
        allowedScopes

    - #### setAllowedScopes

          public void setAllowedScopes(List<String> allowedScopes)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.